# $Revision: 1.16 $, $Date: 2011/07/24 12:02:45 $
Summary:	Library for evaluating mathematical expressions
Summary(pl.UTF-8):	Biblioteka do obliczania wyrażeń matematycznych
Name:		libmatheval
Version:	1.1.8
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libmatheval/%{name}-%{version}.tar.gz
# Source0-md5:	02da702f933a9d6554e27d1b33a89b60
Patch0:		%{name}-info.patch
Patch1:		%{name}-guile2.patch
URL:		http://www.gnu.org/software/libmatheval/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex >= 2.5.33-2
# for config.rpath
BuildRequires:	gettext-devel
BuildRequires:	guile-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libmatheval is a library which contains several procedures that
make it possible to create an in-memory tree from the string
representation of a mathematical function over single or multiple
variables. This tree can be used later to evaluate a function for
specified variable values, to create a corresponding tree for the
function derivative over a specified variable, or to write a textual
tree representation to a specified string. The library exposes C and
Fortran 77 interfaces.

%description -l pl.UTF-8
GNU libmatheval to biblioteka zawierająca różne procedury
umożliwiające tworzenie w pamięci drzew ze znakowej reprezentacji
funkcji matematycznych jednej lub wielu zmiennych. Drzewo może być
później użyte do obliczenia wartości funkcji dla podanych wartości
parametrów, stworzenia drzewa dla pochodnej funkcji po danej zmiennej
lub zapisania tekstowej reprezentacji drzewa do podanego łańcucha.
Biblioteka udostępnia interfejsy dla C i Fortranu 77.

%package devel
Summary:	Header files for libmatheval library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmatheval
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# -lfl
Requires:	flex

%description devel
Header files for libmatheval library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmatheval.

%package static
Summary:	Static libmatheval library
Summary(pl.UTF-8):	Statyczna biblioteka libmatheval
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmatheval library.

%description static -l pl.UTF-8
Statyczna biblioteka libmatheval.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/gettext/config.rpath config
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_libdir}/libmatheval.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatheval.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatheval.so
%{_libdir}/libmatheval.la
%{_includedir}/matheval.h
%{_pkgconfigdir}/libmatheval.pc
%{_infodir}/libmatheval.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmatheval.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmatheval.spec,v $
Revision 1.16  2011/07/24 12:02:45  qboosh
- updated to 1.1.8
- added guile2 patch to fix build with guile 2.0

Revision 1.15  2008/04/01 20:45:53  qboosh
- updated to 1.1.7

Revision 1.14  2008-03-26 20:28:22  qboosh
- updated to 1.1.6

Revision 1.13  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.12  2007-07-11 19:32:21  qboosh
- updated to 1.1.5 (GPL v3 applies)

Revision 1.11  2007/03/18 19:33:20  qboosh
- updated to 1.1.4

Revision 1.10  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.8  2006/05/14 19:27:19  pluto
- fix x86-64 build.

Revision 1.7  2006/05/13 10:34:06  qboosh
- updated to 1.1.3

Revision 1.6  2005/03/03 19:04:52  qboosh
- updated to 1.1.2

Revision 1.5  2004/08/31 20:14:14  darekr
- updated to 1.1.1

Revision 1.4  2004/07/04 10:01:17  qboosh
- updated to 1.1.0

Revision 1.3  2004/06/06 00:05:42  qboosh
- updated to 1.0.2, refresh config.sub

Revision 1.2  2003/12/25 14:47:55  qboosh
- updated to 1.0.1

Revision 1.1  2003/11/16 01:16:09  qboosh
- new
